package com.unipi.talepis.secondapp;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {
    TextView textView1;

    public void go1(View view){
        textView1.setText("Hello Students!");
    }

    public void go2(View view){
        Intent intent = new Intent(this,MainActivity2.class);
        intent.putExtra("stringKey1","Your message here!");
        startActivity(intent);
    }

    @Override
    protected void onStart() {
        super.onStart();
        Log.d("Event", "Inside onStart Event");
    }

    @Override
    protected void onResume() {
        super.onResume();
        Log.d("Event","Inside onResume Event");
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Log.d("Event","Inside onCreate Event");
        textView1 = findViewById(R.id.textView1);
    }
}